
shr.defineClass("shr.customer.StoreFrontStatementList", shr.framework.List, {
   
    initalizeDOM : function() {
        shr.customer.StoreFrontStatementList.superClass.initalizeDOM.call(this);
    },
	
	/**
     * 描述: 全部导出excel
     * @action 
     */
	 exportAllAction: function () {
        var options = {
            action: 'exportAll',
            uipk: this.uipk,
            type: 'POST',
            param: {},
            success: function (data) {
                window.open(data);
            },
            complete: function (jqXHR, textStatus) {
                $("#loader").hide();
            }
        };
        shr.remoteCall(options);
    },
});